Skip to main content

Create a custom field option

POST 

/api/custom-field-options

Required permissions:

  • settings.company: allows creating custom field option resources.
warning

Requires "Custom Fields" feature to be enabled.

Request

Header Parameters

    Wethod-Company stringrequired

    The company you want to interact with

    Wethod-Version stringrequired

    The API version you want to use

Body

    name stringrequired

    Possible values: <= 255 characters

    The custom field option name

    custom_field_id integerrequired

    The id of the custom field this option belongs to

    color string

    Possible values: [#114B5F, #176499, #2E91AC, #71D6CB, #28B869, #8ED6AF, #85D280, #A6C59F, #8A716A, #EBD2AC, #FFE856, #FAC03D, #D43A59, #E48270, #E497A7, #B75D85, #9378BC, #FFC6D9, #E5E5E5, #BEBEBE, #595959, #1A1A1A]

    The hex color code of the option

    sort integer

    The sort position of the option

Responses

Returns the custom field option created.

Schema

    id integerrequired

    Possible values: >= 1

    The unique identifier of the resource

    created_at date-timerequired

    The date and time when the resource was created

    updated_at date-timerequired

    The date and time when the resource was last updated

    name stringrequired

    Possible values: <= 255 characters

    The custom field option name

    color string

    The hex color code of the option

    sort integerrequired

    The sort position of the option

    custom_field_id integerrequired

    The id of the custom field this option belongs to

    deleted_at date-time

    The date and time when the resource was deleted

Loading...